import * as React from 'react';
import { ISearchOptions } from '@finder-stack/core';
export declare type ISearchInputProps = ISearchInputStateProps & ISearchInputOwnProps & ISearchInputDispatchProps;
export declare type ISearchInputStateProps = {
    searchOptions?: any;
};
export declare type ISearchInputOwnProps = {
    input: string;
    placeholder: string;
    isReplace?: boolean;
    setError?: (error: string, type: string) => any;
    onChange: (input: string) => any;
    searchTreeData?: any;
    onReplaseClick?: () => void;
};
export declare type ISearchInputDispatchProps = {
    setSearchOptions?: (options: ISearchOptions) => any;
};
export declare class SearchInput extends React.Component<ISearchInputProps, {}> {
    constructor(props: ISearchInputProps);
    private replaceClick;
    private changeInput;
    private getInputWrapperClass;
    private onSetSearchConfiguration;
    render(): JSX.Element;
}
