import * as React from 'react';
export declare namespace IFinderWrapperComponent {
    type ApiProps = {
        configuration?: any;
    };
    type OwnProps = {};
    type StateProps = {
        searchOptions?: any;
    };
    type DispatchProps = {
        setError?: (error: string, type: string) => any;
        setSearchOptions?: (options: any) => any;
    };
    type Props = StateProps & DispatchProps & ApiProps & OwnProps;
    type State = {
        topBarProgressIndicatorVisible: boolean;
        isClear?: boolean;
        isDirty?: boolean;
        isRefetch?: boolean;
        isTree?: boolean;
        isTreeChanged?: boolean;
        collapseAll?: boolean;
        unsubscribe?: any;
        isEndFetch?: boolean;
    };
}
export declare class FinderWrapperComponent extends React.Component<IFinderWrapperComponent.Props, IFinderWrapperComponent.State> {
    private containerRef;
    constructor(props: IFinderWrapperComponent.Props);
    switchState: (name: string, value: any) => void;
    clearResult: () => void;
    render(): JSX.Element;
    private showTopPrgoressBar;
    private hideTopBarProgressBar;
}
